<?xml version="1.0" encoding="UTF-8"?>
<PBONUS desc_eng="Bonus Table " desc_thai="ตารางจัดการโบนัส" editcheck="true" mainhelp="PBONUSHELP" referhelp="PBONUSHELP" mainkey="BRANCHID" fieldsystem="*" protype="table" deleteflag="true"  dependlevel="false" >
    <FIELD>
		<BRANCHID lang="A" encrypt="false" log="false" type="String">
			<KEY>1</KEY>
			<WIDTH>5</WIDTH>
			<RELATION>MBRANCH</RELATION>
			<DESC_ENG>Company</DESC_ENG>
			<DESC_THAI>รหัสสาขา</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>รหัสสาขา</ALT_THAI>
				<ALT_ENG>Company</ALT_ENG>
			</COMPONENT>
		</BRANCHID>

		<COMPANYID lang="A" encrypt="false" log="false" type="String">
			<KEY>2</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>Company Group</DESC_ENG>
			<DESC_THAI>รหัสบริษัท</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<READONLY>false</READONLY>
				<ALT_THAI>รหัสบริษัท</ALT_THAI>
				<ALT_ENG>Company ID</ALT_ENG>
			</COMPONENT>
		</COMPANYID>

		<LINE_NO lang="A" encrypt="false" log="false" type="String">
			<KEY>3</KEY>
			<WIDTH>5</WIDTH>
			<DESC_ENG>No.</DESC_ENG>
			<DESC_THAI>ลำดับ</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>5</MAXSIZE>
				<SIZE>5</SIZE>
				<ALT_THAI>ลำดับ</ALT_THAI>
				<ALT_ENG>No.</ALT_ENG>
			</COMPONENT>
		</LINE_NO>

		<BONUSID lang="A" encrypt="false" log="false" type="String">
			<WIDTH>10</WIDTH>
			<RELATION>PBONUSMAIN</RELATION>
			<DESC_ENG>Bonus Code</DESC_ENG>
			<DESC_THAI>รหัสโบนัส</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_THAI>รหัสโบนัส</ALT_THAI>
				<ALT_ENG>Bonus Code</ALT_ENG>
				<READONLY>TRUE</READONLY>
			</COMPONENT>
		</BONUSID>

		<RATE lang="A" encrypt="false" log="true" type="Double">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Rate %</DESC_ENG>
			<DESC_THAI>อัตรา %</DESC_THAI>
			<COMPONENT type="text">
				<VALUE>0.00</VALUE>
				<MAXSIZE>10</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Rate %</ALT_ENG>
				<ALT_THAI>อัตรา %</ALT_THAI>
				<ONKEYPRESS>checkWordNumber(this.value);</ONKEYPRESS>
				<ONKEYUP>checkComma(this,2);</ONKEYUP>
				<ONBLUR>checkNumFloat(this,0,900000000);</ONBLUR>
				<ONFOCUS>callDelComma(this);</ONFOCUS>
			</COMPONENT>
		</RATE>

		<YEARSERVICE lang="A" encrypt="false" log="true" type="String">
			<WIDTH>10</WIDTH>
			<DESC_ENG>Year of Service</DESC_ENG>
			<DESC_THAI>อายุงาน</DESC_THAI>
			<COMPONENT type="text">
				<MAXSIZE>2</MAXSIZE>
				<SIZE>10</SIZE>
				<ALT_ENG>Year of Service</ALT_ENG>
				<ALT_THAI>อายุงาน</ALT_THAI>
			</COMPONENT>
		</YEARSERVICE>
		
	</FIELD>
		

	<RELATION>
    </RELATION>
</PBONUS>
